APIAnalytics
List tool access tools
Tools ranked by calls, optionally for one identity or system.
GET
Tools ranked by calls, optionally for one identity or system.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_user_analyticsoffset?integerNumber of items to skip before returning results.
Format
int32Range
0 <= valueDefault
0limit?integerMaximum number of items to return per page.
Format
int32Range
0 <= value <= 256Default
10start_time*stringStart of the time range to report on, inclusive.
Format
date-timeend_time*stringEnd of the time range to report on, exclusive.
Format
date-timeuser_email?stringRestrict to one identity's calls.
system?stringRestrict to one system.
exclude_local?booleanLeave out client built-in (local) calls.
The request has succeeded.
application/json- response
Tools ranked by call count.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/analytics/tool-access/tools?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "items": [ { "system": "string", "tool": "string", "data_class": "unclassified", "sensitive": true, "calls": 0, "write_calls": 0, "actions": [ "create" ], "severity": "unclassified" } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}